library(shiny)
library(bslib)

navbar <- tags$nav(
  class = "navbar navbar-expand-lg navbar-light bg-light",
  tags$a("Bootstrap NavBar", class = "navbar-brand", href = "#"),
  tags$button(
    class = "navbar-toggler", `type` = "button", `data-toggle` = "collapse",
    `data-target` = "#navbarNav", `aria-controls` = "navbarNav", `aria-expanded` = "false",
    `aria-label` = "Toggle navigation",
    tags$span(class = "navbar-toggler-icon")
  ),

  tags$div(
    class = "collapse navbar-collapse",
    id = "navbarNav",
    tags$ul(
      class = "navbar-nav mr-auto",
      tags$li(class = "nav-item", tags$a("About", class = "nav-link", href = "#")),
      tags$li(class = "nav-item", tags$a("Products", class = "nav-link", href = "#")),
      tags$li(
        class = "nav-item dropdown",
        tags$a("Dropdown link",
          class = "nav-link dropdown-toggle",
          href = "#",
          id = "navbarDropdownMenuLink",
          `data-toggle` = "dropdown",
          `aria-haspopup` = "true",
          `aria-expanded` = "false"
        ),
        tags$div(
          class = "dropdown-menu", `aria-labelledby` = "navbarDropdownMenuLink",
          tags$a("More pages", class = "dropdown-item", href = "#"),
          tags$a("Page 2", class = "dropdown-item", href = "#"),
          tags$a("Page 3", class = "dropdown-item", href = "#")
        )
      )
    )
  )
)

jumbotron <- tags$div(
  class = "jumbotron",
  tags$h1(class = "display-3", "Welcome"),
  tags$p(class = "lead", "This is a sample jumbotron"),
  tags$hr(class = "my-2"),
  tags$p("Additional dummy text"),
  tags$a(class = "btn btn-primary btn-lg", href = "#", role = "button", "Learn more")
)

ui <- fluidPage(
  theme = bs_theme(),
  navbar,
  jumbotron
)

server <- function(input, output, session) {

}

shinyApp(ui, server)
